From 5edc23381579915cb2ab8809d4151e42ae3e810d Mon Sep 17 00:00:00 2001
From: Roman Dadkov <romand@etersoft.ru>
Date: Fri, 8 Feb 2013 14:01:30 +0400
Subject: [PATCH] ole32: Add IDispatch in
 DefaultHandler_NDIUnknown_QueryInterface. (eterbug #9006)

---
 dlls/ole32/defaulthandler.c | 3 ++-
 1 file changed, 2 insertions(+), 1 deletion(-)

diff --git a/dlls/ole32/defaulthandler.c b/dlls/ole32/defaulthandler.c
index b4e8203..35c5808 100644
--- a/dlls/ole32/defaulthandler.c
+++ b/dlls/ole32/defaulthandler.c
@@ -211,7 +211,8 @@ static HRESULT WINAPI DefaultHandler_NDIUnknown_QueryInterface(
 
   if (IsEqualIID(&IID_IUnknown, riid))
     *ppvObject = iface;
-  else if (IsEqualIID(&IID_IOleObject, riid))
+  else if (IsEqualIID(&IID_IOleObject, riid) ||
+           IsEqualIID(&IID_IDispatch, riid))
     *ppvObject = &This->IOleObject_iface;
   else if (IsEqualIID(&IID_IDataObject, riid))
     *ppvObject = &This->IDataObject_iface;
-- 
1.8.1.2
